<div align="center">
	<h1>
		<br>
		<a href="https://influxframework.com">
			<img src=".github/influxframework-framework-logo.svg" height="50">
		</a>
	</h1>
	<h3>
		a web framework with <a href="https://www.influxframework.com/watch?v=LOjk3m0wTwg">"batteries included"</a>
	</h3>
	<h5>
		it's pronounced - <em>fra-pay</em>
	</h5>
</div>

<div align="center">
	<a href="https://github.com/influxframework/influxframework/actions/workflows/server-mariadb-tests.yml">
		<img src="https://github.com/influxframework/influxframework/actions/workflows/server-mariadb-tests.yml/badge.svg">
	</a>
	<a href="https://github.com/influxframework/influxframework/actions/workflows/ui-tests.yml">
		<img src="https://github.com/influxframework/influxframework/actions/workflows/ui-tests.yml/badge.svg?branch=develop">
	</a>
	<a href='https://influxframework.com/docs'>
		<img src='https://img.shields.io/badge/docs-📖-7575FF.svg?style=flat-square'/>
	</a>
	<a href='https://www.codetriage.com/influxframework/influxframework'>
		<img src='https://www.codetriage.com/influxframework/influxframework/badges/users.svg'>
	</a>
	<a href="https://codecov.io/gh/influxframework/influxframework">
		<img src="https://codecov.io/gh/influxframework/influxframework/branch/develop/graph/badge.svg?token=XoTa679hIj"/>
	</a>
</div>


Full-stack web application framework that uses Python and MariaDB on the server side and a tightly integrated client side library. Built for [InfluxERP](https://influxerp.com)

<div align="center" style="max-height: 40px;">
	<a href="https://influxframeworkcloud.com/influxframework/signup">
		<img src=".github/try-on-f-cloud-button.svg" height="40">
	</a>
	<a href="https://labs.play-with-docker.com/?stack=https://raw.githubusercontent.com/gavindsouza/install-scripts/main/influxframework/pwd.yml">
		<img src="https://raw.githubusercontent.com/play-with-docker/stacks/master/assets/images/button.png" alt="Try in PWD" height="37"/>
	</a>
</div>

> Login for the PWD site: (username: Administrator, password: admin)

## Table of Contents
* [Installation](#installation)
* [Contributing](#contributing)
* [Resources](#resources)
* [License](#license)

## Installation

* [Install via Docker](https://github.com/influxframework/influxframework_docker)
* [Install via InfluxFramework Bench](https://github.com/influxframework/bench)
* [Offical Documentation](https://influxframework.com/docs/user/en/installation)
* [Managed Hosting on InfluxFramework Cloud](https://influxframeworkcloud.com/influxframework/signup)

## Contributing

1. [Code of Conduct](CODE_OF_CONDUCT.md)
1. [Contribution Guidelines](https://github.com/influxframework/influxerp/wiki/Contribution-Guidelines)
1. [Security Policy](SECURITY.md)
1. [Translations](https://translate.influxerp.com)

## Resources

1. [influxframework.com](https://influxframework.com) - Official documentation of the InfluxFramework Framework.
1. [influxframework.school](https://influxframework.school) - Pick from the various courses by the maintainers or from the community.

## License
This repository has been released under the [MIT License](LICENSE).
