# Version 14.0.0 Release Notes

## Version 14 Release Notes

### Highlights

- [Tab Break control to organize forms](https://github.com/influxframework/influxframework/pull/13036)
- [New print format builder with simpler drag-n-drop functionality](https://github.com/influxframework/influxframework/pull/14134)
- [Highly customizable workspace with handy new blocks](https://github.com/influxframework/influxframework/pull/13152)

### Other Features & Enhancements

- [Add quick lists and other accessible blocks to your workspace](https://github.com/influxframework/influxframework/pull/13152)
- [Stricter validation on phone number using Phone control](https://github.com/influxframework/influxframework/pull/15538)
- [Rating on blogs and configuration option for feedback limits](https://github.com/influxframework/influxframework/pull/14614)
- [New Feedback & Comment Design for Blog Post](https://github.com/influxframework/influxframework/pull/14614)
- [Multistep Web Form](https://github.com/influxframework/influxframework/pull/14978)
- [Configurable splash screen](https://github.com/influxframework/influxframework/pull/17006)
- [Image cropping and optimization](https://github.com/influxframework/influxframework/pull/13835)

### Performance

- 50% faster authentication ([#16950](https://github.com/influxframework/influxframework/pull/16950)), ([#17253](https://github.com/influxframework/influxframework/pull/17253))
- Send newsletter bulk emails ~50x faster ([#17461](https://github.com/influxframework/influxframework/pull/17461))
- Improved caching ([#16448](https://github.com/influxframework/influxframework/pull/16448)), ([#17107](https://github.com/influxframework/influxframework/pull/17107))
- Faster processing ([#16949](https://github.com/influxframework/influxframework/pull/16949)), ([#16549](https://github.com/influxframework/influxframework/pull/16549))
- 90% less memory consumption ([#17061](https://github.com/influxframework/influxframework/pull/17061))

> Check out [the complete list](https://github.com/influxframework/influxframework/issues/17532) of enhancements and features in version 14
